/*
** File: model_boot.h  
** Project: ADB3 core driver
** Purpose: Exports functions for model-specific bootstrapping of the device context.
**
** (C) Copyright Alpha Data 2009-2010
*/

#if !defined(ADATA_CORE_MODEL_BOOT_H)
#define ADATA_CORE_MODEL_BOOT_H

#include <df.h>

#include "device.h"

extern void
adb3CoreBootstrapGenericAdb3(
    Adb3CoreDeviceContext* pDevCtx);

extern void
adb3CoreBootstrapAdmxrc2(
    Adb3CoreDeviceContext* pDevCtx);

extern void
adb3CoreBootstrapAdpexrc5t(
    Adb3CoreDeviceContext* pDevCtx);

extern void
adb3CoreBootstrapAdmxrc6tl(
	Adb3CoreDeviceContext* pDevCtx);

#endif
