/*
** File: clock.h  
** Project: ADMXRC3 module driver
** Purpose: Defines function prototypes for clock generator IOCTL handlers.
**
** (C) Copyright Alpha Data 2009
*/

#if !defined(ADATA_ADMXRC3_CLOCK_H)
#define ADATA_ADMXRC3_CLOCK_H

#include <df.h>
#include "device.h"

extern DfIoStatus
ioctlGetClockFrequency(
	Admxrc3DeviceContext* pDevCtx,
  void* pBuffer,
  unsigned int inSize,
  unsigned int outSize);

extern DfIoStatus
ioctlSetClockFrequency(
	Admxrc3DeviceContext* pDevCtx,
  void* pBuffer,
  unsigned int inSize,
  unsigned int outSize);

#endif
