/*
** File: pio.h  
** Project: ADMXRC3 module driver
** Purpose: Defines function prototypes for programmed I/O IOCTL handlers.
**
** (C) Copyright Alpha Data 2009
*/

#if !defined(ADATA_ADMXRC3_PIO_H)
#define ADATA_ADMXRC3_PIO_H

#include <df.h>
#include "device.h"

extern DfIoStatus
ioctlRead(
	Admxrc3DeviceContext* pDevCtx,
  DfClientRequest* pReq,
  void* pBuffer,
  unsigned int inSize);

extern DfIoStatus
ioctlReadThunk(
	Admxrc3DeviceContext* pDevCtx,
  DfClientRequest* pReq,
  void* pBuffer,
  unsigned int inSize);

extern DfIoStatus
ioctlWrite(
	Admxrc3DeviceContext* pDevCtx,
  DfClientRequest* pReq,
  void* pBuffer,
  unsigned int inSize);

extern DfIoStatus
ioctlWriteThunk(
	Admxrc3DeviceContext* pDevCtx,
  DfClientRequest* pReq,
  void* pBuffer,
  unsigned int inSize);

#endif
